package com.cyksj.service.mange.statistics;

import com.cyksj.model.entity.*;

import java.util.Date;
import java.util.List;
import java.util.Map;

/*
 *项目名: netflix
 *文件名: StatisticsDataDayService
 *创建者: JavaZou
 *创建时间:2023/7/6 13:38
 */
public interface StatisticsDataDayService {
	List<StatisticsFashionGoodsData> statisticsFashionGoodsData(Date yesZeroDate, Date thisZeroDate, Boolean today);

	List<RegisterAccountData> statisticsRegisterAccountData(Date yesZeroDate, Date thisZeroDate, Boolean today);

	List<AppleOneData> statisticsAppleOneData(Date yesZeroDate, Date thisZeroDate, Boolean today);

	List<StreamingAccountData> statisticsStreamingAccountData(Date yesZeroDate, Date thisZeroDate, Boolean today);

	List<RealGoodsData> statisticsRealGoodsData(Date yesZeroDate, Date thisZeroDate, Boolean today);

	Map<String, List<GoodsDonSku>> getAppleOneMap();
}
